<?php
$serendipity['smarty']->register_function('colourheading', 'colourheading');

//Make the last word in the title pink.
function colourheading($params,&$smarty){
	$namearr=explode(" ",$params['heading']);
	$namearr[sizeof($namearr)-1]="<span id=\"pink\">".$namearr[sizeof($namearr)-1]."</span>";
	return implode(" ",$namearr);
}

if ($serendipity['GET']['adminModule'] == 'templates' || $serendipity['POST']['adminModule'] != 'templates') {
    // Probe for a language include with constants. Still include defines
    // later on, if some constants were missing
    $probelang = dirname(__FILE__) . '/' . $serendipity['charset'] . 'lang_' . $serendipity['lang'] . '.inc.php';
    if (file_exists($probelang)) {
        include $probelang;
    }
   	else
   	 include_once dirname(__FILE__) . '/UTF-8/lang_en.inc.php';
} 


//navigation links
$template_config[]=         array(
        'var'           => 'homelink',
        'name'          => MYNW_NAVLINK_TITLE,
        'description'   => MYNW_HOMELINK_DESCRIPTION,
        'type'          => 'string',
        'default'       => "Home",
   ) 
   ;
	
$vars = serendipity_loadThemeOptions($template_config);

$navlinks = array();
for ($i = 2; $i <= 10; $i++) {
    $navlinks[] = array(
        'title' => $vars['navlinklabel' . $i],
        'href'  => $vars['navlinkurl' . $i]
    );
    $template_config[] = array(
        'var'           => 'navlinklabel' . $i,
        'name'          => MYNW_NAVLINK_TITLE . $i,
        'description'   => MYNW_NAVLINK_ANCHOR_TEXT .$i,
        'type'          => 'string',
        'default'       => "",
   );
    $template_config[] = array("var"=>"navlinkurl".$i,
						"name"=>MYNW_NAVLINK_TITLE.$i,
						"description"=>	MYNW_NAVLINK_DESCRIPTION_URL.$i,
						"type"=>"string",
						"default"=>"#"
						);
}


$template_config[]=         array(
        'var'           => 'readmorelink',
        'name'          => MYNW_READMORE_TITLE,
        'description'   => MYNW_READMORE_DESCRIPTION,
        'type'          => 'string',
        'default'       => VIEW_EXTENDED_ENTRY,
   ) 
   ;

$template_config[]=         array(
        'var'           => 'footertext',
        'name'          => MYNW_FOOTER_TITLE,
        'description'   => MYNW_FOOTER_DESCRIPTION,
        'type'          => 'text',
        'default'       => '',
   ) 
   ;

$serendipity['smarty']->assign_by_ref('navlinks', $navlinks); 


//generate a different link depending on the base blog URL. Result is only one 
//link per blog. All the sites below belong to the theme author (no sponsored links).
function credit_links() {
	global $serendipity;
	if( ! $link = serendipity_get_config_var( 'blacklens_credit_link' ) ) {
		$links = array (
				0 => array(
						'URL'=>'abdussamad.com/categories/15-Website-Development',
						'title'=>'Web Development'
					),

				1 => array(
						'URL' => 'www.computerhardware.pk',
						'title' => 'Computer'
				),

				2 => array(
						'URL' => 'www.computerhardware.pk/motherboard',
						'title' => 'Motherboard'
				),

				3 => array(
						'URL' => 'abdussamad.com/categories/15-Website-Development',
						'title' => 'Website Development'
				),

				4 => array(
						'URL' => 'www.computerhardware.pk/storage',
						'title' => 'Hard Disk'
				),
			
				5 => array(
						'URL' => 'www.computerhardware.pk/storage',
						'title' => 'Hard Drive'
				),
			); 
		$str  = $serendipity['baseURL'];
		//convert the URL to a number.
		$hash = abs( crc32( $str ) ) % count( $links ) ;
		$link = "<a href='http://{$links[$hash]['URL']}' title='{$links[$hash]['title']}'>{$links[$hash]['title']}</a>";
		serendipity_set_config_var( 'blacklens_credit_link', $link );
	} 
	return $link;
}

$serendipity['smarty']->register_function('credit_links', 'credit_links');
