{if $is_embedded != true}
{if $is_xhtml}
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
           "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
{else}
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
           "http://www.w3.org/TR/html4/loose.dtd">
{/if}

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="{$lang}" lang="{$lang}">
<head>
    <title>{$head_title|@default:$blogTitle} {if $head_subtitle} - {$head_subtitle}{/if}</title>
    <meta http-equiv="Content-Type" content="text/html; charset={$head_charset}" />
    <meta name="Powered-By" content="Serendipity v.{$head_version}" />
    <link rel="stylesheet" type="text/css" href="{$head_link_stylesheet}" />
    <link rel="alternate"  type="application/rss+xml" title="{$blogTitle} RSS feed" href="{$serendipityBaseURL}{$serendipityRewritePrefix}feeds/index.rss2" />
    <link rel="alternate"  type="application/x.atom+xml"  title="{$blogTitle} Atom feed"  href="{$serendipityBaseURL}{$serendipityRewritePrefix}feeds/atom.xml" />
{if $entry_id}
    <link rel="pingback" href="{$serendipityBaseURL}comment.php?type=pingback&amp;entry_id={$entry_id}" />
{/if}

{serendipity_hookPlugin hook="frontend_header"}
</head>

<body>
<!---
BlackLens Serendipity theme by Abdussamad Abdurrazzaq (http://abdussamad.com)
Version: 0.4
-->
<div class='center'>
{else}
{serendipity_hookPlugin hook="frontend_header"}
{/if}

{if $is_raw_mode != true}
<div class="bl">
	<div class="tl">

    <h1><a  href="{$serendipityBaseURL}">{colourheading heading=$head_title|@default:$blogTitle}</a></h1>
    <h2>{$head_subtitle|@default:$blogDescription}</h2>
<div class="nav">

		
		<ul><li>
		<a href="{$serendipityBaseURL}" title="{$template_option.homelink}">{$template_option.homelink}</a>
			</li>
			{foreach from=$navlinks item="navlink"}
				{if !($navlink.href=="#" || $navlink.href=="")}
					<li><a href="{$navlink.href}" title="{$navlink.title}">{$navlink.title}</a>
				</li>
				{/if}
			{/foreach}
		</ul>
		
</div> <!-- .nav -->
<div class="content">
	
{if $leftSidebarElements > 0}
    <div id="sidebar">{serendipity_printSidebar side="left"}</div><!--sidebar-->
{/if}
	
	
	<div id="description">
	{$CONTENT}
	</div><!-- end description -->
</div> <!-- content -->

{/if}

{$raw_data}
{serendipity_hookPlugin hook="frontend_footer"}
{if $is_embedded != true}
<div id="footer">
Design courtesy of {credit_links} {if $template_option.footertext } - {$template_option.footertext}{/if} 
</div>

</div><!-- tl-->
</div><!-- bl-->
</div> <!-- center-->
</body>
</html>
{/if}